Subject: Re: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Brian Leung <[email-masked]>
Date: Sun, 13 Sep 2020 19:06:39 +0200 (CEST)

> I'm not sure I understand the rationale: why would we want to replace
> all 'if's with 'when's?

I expected that people would find it easier to read 'when'/'unless' than single-clause 'if' statements. The 'when'/'unless', along with the indentation of the corresponding 'then' clause, immediately signal that there is only one possible non-nil form returned. With single-clause 'if' statements, you would have to continue reading past the 'then' clause to spot what the 'when'/'unless' and its differing indentation immediately tell you.

> ----------------------------------------
> From: Eli Zaretskii <[email-masked]>
> Sent: Sun Sep 13 16:07:02 CEST 2020
> To: Brian Leung <[email-masked]>, Brian Leung <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
> Subject: Re: bug#43117: [PATCH] Add .git-blame-ignore-revs file
> 
> 
> > Cc: [email-masked]
> > Date: Sun, 13 Sep 2020 02:42:23 +0200 (CEST)
> > From: Brian Leung via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > OK, please see attached. Right now there are no extraneous whitespace changes, and the only changes I've made change if -> when in the eshell files.
> > [...]
> > Subject: [PATCH 1/2] eshell: Replace single-clause if statements with whens
> 
> I'm not sure I understand the rationale: why would we want to replace
> all 'if's with 'when's?  Was that discussed, here or elsewhere? if so,
> could someone point me to that discussion?
> 
> Thanks.

-- 
Sent with https://mailfence.com
Secure and private email